package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.OrderInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-10-17 12:46
 */
@Repository
public interface OrderInfoDAO {
    int insert(OrderInfo entity);
    int update(OrderInfo entity);
    int exist(String id);
    OrderInfo get(String id);
    int delete(String id);
    List<OrderInfo> list();
    List<OrderInfo> search(Map<String,Object> searchParams, List<Sort> sortList);

    OrderInfo findByOutOrderNo(String outTradeNo);
}
